> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/particleemittershapestyle.md).

# ParticleEmitterShapeStyle

## Overview

ParticleEmitterShapeStyle는 파티클 이미터가 방출에 사용하는 형상 스타일을 정의하는 Enum입니다.

ParticleEmitter의 ShapeStyle 속성에서 사용되며, 파티클이 형상의 전체 부피에서 방출될지 표면에서만 방출될지를 결정합니다.

## Items

| Name    | Value | Description                 |
| ------- | ----- | --------------------------- |
| Volume  | 0     | 파티클이 이미터 형상의 전체 부피에서 방출됩니다. |
| Surface | 1     | 파티클이 이미터 형상의 표면에서만 방출됩니다.   |

## See also

{% content-ref url="/pages/4KtiWoXxEXbxn7sobheZ" %}
[ParticleEmitter](/korean/development/api-reference/classes/particleemitter.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/particleemittershapestyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
